GradleException (Gradle API 8.11.1)

Package org.gradle.api

## Class GradleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `BuildCancelledException`, `CircularReferenceException`, `ConfigurationCycleException`, `org.gradle.internal.exceptions.DefaultMultiCauseException`, `DuplicateFileCopyingException`, `GradleScriptException`, `IllegalDependencyNotation`, `InvalidActionClosureException`, `InvalidModelException`, `InvalidModelRuleDeclarationException`, `InvalidModelRuleException`, `InvalidPluginException`, `InvalidUserCodeException`, `InvalidUserDataException`, `ManifestException`, `ModelInstantiationException`, `ModelRuleBindingException`, `PluginInstantiationException`, `PublishException`, `ReadOnlyModelViewException`, `ReportContainer.ImmutableViolationException`, `ResourceException`, `StopActionException`, `TaskInstantiationException`, `TestExecutionException`, `UnknownDomainObjectException`, `UnknownModelException`, `VariantTransformConfigurationException`, `VerificationException`, `WriteOnlyModelViewException`

      public class GradleException
      extends java.lang.RuntimeException

  `GradleException` is the base class of all exceptions thrown by Gradle.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GradleException()` |
    `GradleException​(java.lang.String message)` |
    `GradleException​(java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GradleException

          public GradleException()

    - #### GradleException

          public GradleException​(java.lang.String message)

    - #### GradleException

          public GradleException​(java.lang.String message,
                                 @Nullable
                                 java.lang.Throwable cause)